<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
    <artifactId>objects-base</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.base.objects-base</groupId>
  <artifactId>objects-core</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: BASE :: OBJECTS BASE :: OBJECTS CORE</name>
  <description>ENTAXY :: PLATFORM :: BASE :: OBJECTS BASE :: OBJECTS CORE</description>
  
  <properties>
  	<bundle.osgi.export.pkg>
  		ru.entaxy.platform.base.objects,
		ru.entaxy.platform.base.objects.service.impl,
		ru.entaxy.platform.base.objects.service.tracker,
		ru.entaxy.platform.base.objects.shell,
		ru.entaxy.platform.base.objects.shell.completers,
		ru.entaxy.platform.base.objects.storage.impl
  	</bundle.osgi.export.pkg>
  	<bundle.osgi.remove.headers>none</bundle.osgi.remove.headers>
  </properties>
  
  <dependencies>
  	<dependency>
  		<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
  		<artifactId>base-support</artifactId>
  		<version>${project.version}</version>
  	</dependency>
	  	<dependency>
	  		<groupId>org.apache.karaf.shell</groupId>
	  		<artifactId>org.apache.karaf.shell.core</artifactId>
	  		<version>${karaf.version}</version>
	  	</dependency>
  </dependencies>
</project>
